<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<artifactId>geoportal-common</artifactId>
	<version>1.0.13-SNAPSHOT</version>
	<name>Geoportal Common</name>

	<parent>
		<groupId>org.gcube.application.cms</groupId>
		<artifactId>gcube-cms-suite</artifactId>
		<version>[1.0.0, 2.0.0-SNAPSHOT)</version>
	</parent>


	<properties>
		<gitBaseUrl>https://code-repo.d4science.org/gCubeSystem</gitBaseUrl>
		<sis.version>1.0</sis.version>
	</properties>


	<scm>
		<connection>scm:git:${gitBaseUrl}/gcube-cms-suite</connection>
		<developerConnection>scm:git:${gitBaseUrl}/gcube-cms-suite</developerConnection>
		<url>${gitBaseUrl}/gcube-cms-suite</url>
	</scm>


	<dependencyManagement>
	<dependencies>
	<dependency>
		<groupId>org.gcube.distribution</groupId>
		<artifactId>gcube-bom</artifactId>
		<version>${gcube-bom-version}</version>
		<type>pom</type>
		<scope>import</scope>
	</dependency>
	</dependencies>
	</dependencyManagement>



	<dependencies>
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
		</dependency>


		<dependency>
			<groupId>org.gcube.common</groupId>
			<artifactId>authorization-client</artifactId>
		</dependency>

		<dependency>
			<groupId>com.jayway.jsonpath</groupId>
			<artifactId>json-path</artifactId>
			<version>2.7.0</version>
		</dependency>

		<dependency>
			<groupId>com.vdurmont</groupId>
			<artifactId>semver4j</artifactId>
			<version>3.1.0</version>
			<scope>compile</scope>
		</dependency>

		<!-- STORAGE -->
		<dependency>
			<groupId>org.gcube.contentmanagement</groupId>
			<artifactId>storage-manager-core</artifactId>
		</dependency>

		<dependency>
			<groupId>org.gcube.contentmanagement</groupId>
			<artifactId>storage-manager-wrapper</artifactId>
		</dependency>
		<dependency>
			<groupId>org.reflections</groupId>
			<artifactId>reflections</artifactId>
		</dependency>


		<!-- TEST -->
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>



		<dependency>
			<groupId>ch.qos.logback</groupId>
			<artifactId>logback-classic</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.glassfish.jersey.media</groupId>
			<artifactId>jersey-media-json-jackson</artifactId>
		</dependency>
        <dependency>
            <groupId>org.gcube.resources</groupId>
            <artifactId>registry-publisher</artifactId>
        </dependency>
		<dependency>
			<groupId>org.gcube.resources</groupId>
			<artifactId>registry-publisher</artifactId>
		</dependency>

		<dependency>
			<groupId>javax.xml.bind</groupId>
			<artifactId>jaxb-api</artifactId>
<!--			<version>2.3.0</version>-->
		</dependency>
	</dependencies>

</project>